Skip to main content
GET
/
channels
/
{myshopifyDomain}
/
collabs
Get Channel Collabs
curl --request GET \
  --url https://unified-api.creatorcommerce.shop/channels/{myshopifyDomain}/collabs \
  --header 'x-channel-access-token: <api-key>'
{
  "collabs": [
    {
      "_id": "6997d1305fe142fd13cff4d7",
      "creator": {
        "_id": "6997d1305fe142fd13cff4b6",
        "firstName": "Jill",
        "lastName": "Doe",
        "email": "jill@example.com",
        "handle": "jill-650"
      },
      "collabTier": {
        "_id": "6997d1305fe142fd13cff500",
        "title": "CC // Test Pages",
        "tierKey": "28002"
      },
      "affiliateCode": "JILL23878",
      "affiliateUrl": "https://www.nuuds.com/JILL23878",
      "discount": {
        "discountAmount": 20,
        "discountType": "Percentage"
      },
      "drops": [
        {
          "_id": "6997dd60c65868de8b5a1aaf",
          "title": "Without these, I'd just go nude"
        }
      ]
    }
  ],
  "pagination": {
    "hasNextPage": false,
    "totalCount": 1,
    "nextCursor": "6997d1305fe142fd13cff4d7"
  }
}

Authorizations

x-channel-access-token
string
header
required

Channel or partner access token (x-channel-access-token or x-partner-access-token)

Path Parameters

myshopifyDomain
string
required

The Shopify domain (e.g., tradespoke.myshopify.com)

Example:

"cc-goaff-sandbox.myshopify.com"

Query Parameters

query
string

Fuzzy search query (creator name, handle, affiliate code).

email
string<email>

Creator email lookup key. When provided, the response is scoped to that creator.

Response

Successfully retrieved channel collabs

Response containing array of collabs for a channel

collabs
object[]
pagination
object